var Greeter = /** @class */ (function () {
    function Greeter(message) {
        this.greeting = message;
    }
    Greeter.prototype.greet = function () {
        return this.greeting + ", " + this._name + "!";
    };
    Object.defineProperty(Greeter.prototype, "name", {
        get: function () {
            return this._name;
        },
        set: function (newName) {
            this._name = newName;
        },
        enumerable: true,
        configurable: true
    });
    return Greeter;
}());
var greeter = new Greeter("Witaj");
greeter.name = "świecie";
alert(greeter.greet()); // Dane wyjściowe to "Witaj, świecie!".
